Subject: Re: bug#35484: GDM failing to start stumpwm after merge

From: Timothy Sample <[email-masked]>
Date: Mon, 29 Apr 2019 09:16:41 -0400

Hi Brett,

Brett Gilio <[email-masked]> writes:

> Hey all
>
> I just reconfigured my system configuration after the big staging merge
> to master. I use StumpWM.
>
> GDM seems to be starting just fine, but after this reconfiguration
> stumpwm or X or something is crashing for me and looping me back to GDM.
>
> Where are the logs I can view for this? I see some message appear but
> quickly disappear before looping back into GDM.

GDM logs things to “/var/log/messages”.  However, it may not be useful
in this case (do take a look, though).

> If I can get the logs I can share them or try and figure it out myself.

You could also share some other details about your config.  For
instance, how is StumpWM started?  Do you have a “~/.xsession” script or
does StumpWM provide a “.desktop” file that GDM needs to find?

-- Tim